
Redmine - Defect #1683

Adding date to version causes error or not persisted to sql server db

2008-07-25 20:36 - Jason Morris

Status: Closed Start date: 2008-07-25

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I am running redmine 0.7.3 on windows against sql server 2005.

I am trying to enter the date on my versions, but I am either getting an error or it is not persisting into the database.

I have tried

08-01-2008 results in an error: « Date » is not a valid date

2008-08-01 results in an error: « Date » is not a valid date (this is also the format the calendar puts into the textbox)

Here is a snippet from the log file, which looks normal...to me anyways.

Processing VersionsController#edit (for xxx.xxx.xxx.xxx at 2008-07-22 09:58:06) [POST]

Session ID: a35ff91317c8f061fa985b84861a8b35

Parameters: {"commit"=>"Save", "action"=>"edit", "id"=>"1", "controller"=>"versions", "version"=>{"name"=>"King Kong",

"wiki_page_title"=>"King Kong", "description"=>"", "effective_date"=>"2008-08-01"}}

Rendering template within layouts/base

Rendering versions/edit

Completed in 0.09400 (10 reqs/sec) | Rendering: 0.06200 (65%) | DB: 0.00000 (0%) | 200 OK [http://xxxxxxxxxxx/versions/edit/1]

History

#1 - 2008-07-25 22:17 - Jean-Philippe Lang

- Category set to Database

- Status changed from New to Closed

- Affected version (unused) deleted (0.7.3)

- Resolution set to Invalid

- Affected version deleted (0.7.3)

Sorry but Redmine is not compatible with SQL Server.
